Actualización a Microsoft Visual C++ Redistributable para Visual Studio 2017

uim203
UIM utiliza Microsoft Visual C++ Redistributable para Visual Studio 2017 (VS 2017) para los siguientes paquetes y sondas afectados:
  • audit 9.03
  • cdm 6.33
  • data_engine 9.02
  • dirscan 3.17
  • distsrv 7.96
  • hub 7.96
  • logmon 4.00
  • nas 9.06
  • net_connect 3.36
  • ntevl 4.32
  • ntperf 2.09
  • ntservices 3.42
  • processes 4.63
  • pu 7.96
  • robot_exe 7.96
  • robot_update 7.96
  • rsp 5.353
Las versiones mencionadas anteriormente de las sondas utilizan el paquete de VS 2017 1.0 (vs2017_vcredist_x86 1.0 y vs2017_vcredist_x64 1.0) como dependencia.Esta dependencia en el paquete 1.0 hace el sistema operativo Windows se reinicie en el robot donde está implementada la sonda. En la versión 1.0 del paquete VS 2017, no hay ninguna opción "norestart" especificada en el comando de instalación posterior. Por lo tanto, la instalación posterior podría activar el reinicio del sistema operativo como parte de la instalación del paquete. Se recomienda descargar los paquetes vs2017_vcredist_x86 1.01 y vs2017_vcredist_x64 1.01 (según sea necesario) del archivo de archivado de Nimsoft para evitar el reinicio automático del equipo para las sondas dependientes.Para obtener una solución alternativa detallada, consulte el artículo de la base de conocimiento Windows OS Reboot After Probe Deployment.
Consideraciones
Revise las siguientes consideraciones:
  • Algunas de estas sondas afectadas tienen versiones más recientes disponibles que ya no dependen del paquete de VS 2017 1.0. Estas versiones actualizadas dependen de forma predeterminada del paquete de VS 2017 1.01 (vs2017_vcredist_x86 1.01 y vs2017_vcredist_x64 1.01). Ello ayuda a garantizar que la versión mínima del paquete VS 2017 sea la versión 1.01 o una versión posterior. Con esta dependencia en la versión 1.01, el equipo ya no se reinicia automáticamente al instalar el paquete VS 2017. Es decir, con la versión 1.01, no ocurre el reinicio automático del equipo. Estas sondas son audit 9.04, cdm 6.34, distsrv 7.97, hub 7.97, pu 7.97, robot_exe 7.97 y robot_update 7.97.
  • Para otras sondas (que no están en la lista) que utilizan el fin del ciclo de vida de Microsoft Visual C++ Redistributable o para las versiones anteriores de las sondas afectadas, se deberá descargar e implementar el paquete necesario del fin del ciclo de vida (EOL) de Microsoft Visual C++ Redistributable (por ejemplo, vs2008_redist_x86) del archivo de archivado.
  • Si desea utilizar las sondas mencionadas anteriormente con las versiones de UIM anteriores (por ejemplo, anteriores a UIM 9.0.2), asegúrese de descargar e implementar el paquete de Microsoft Visual C++ 2017 Redistributables 1.01 necesario que está disponible en el archivo de archivado web de Nimsoft.
  • El Gestor de la infraestructura no está en el ámbito para la eliminación de dependencia de EOL Microsoft Visual C++ Redistributable.
  • El concentrador no es compatible con plataformas Windows y Linux de 32 bits.
  • Si utiliza la sonda automated_deployment_engine (ADE) para implementar el nuevo robot disponible en esta versión en los equipos de Windows, el robot se implementa correctamente, pero es posible que no se trate del nuevo "Microsoft Visual C++ Redistributable para Visual Studio 2017" instalado. Para solucionar este problema, se recomienda seguir la información en el artículo Update for Universal C Runtime in Windows (KB2999226) antes de intentar instalar el nuevo robot mediante ADE.
  • Aunque la versión 9.0.2 elimina la dependencia de EOL Microsoft Visual C++ Redistributable para los componentes de UIM afectados, no los suprime del equipo. Es posible que otra aplicación en el entorno esté utilizando esos entornos de Redistributable anteriores.
  • En las versiones de UIM anteriores a la versión 9.0.2, si se desea actualizar un robot secundario a la versión 7.96, se debe importar el robot 7.96 y el paquete 1.01 de Microsoft Visual C++ 2017 Redistributable (por ejemplo, vs2017_vcredist_x86 1.01).
  • En las versiones de UIM anteriores a la versión 9.0.2, si se desea actualizar el concentrador secundario a la versión 7.96, se deben importar e implementar hub 7.96, robot 7.96 y el paquete 1.01 de Microsoft Visual C++ 2017 Redistributable (por ejemplo, vs2017_vcredist_x86 1.01). Además, actualice cualquier robot que haga referencia al concentrador secundario.